<?php

$values = nsParseCommonRequirements();

if (!($_POST['algo'] === '1' OR $_POST['algo'] === '3' OR $_POST['algo'] === '4'))
	output(403, 'Wrong value for <code>algo</code>.');

if (!($_POST['type'] === '2'))
	output(403, 'Wrong value for <code>type</code>.');

if (!(preg_match('/^[a-z0-9]{64}$/D', $_POST['fp'])))
	output(403, 'Wrong value for <code>fp</code>.');

rateLimit();

knotcZoneExec($_POST['zone'], [
	$values['domain'],
	$values['ttl'],
	'SSHFP',
	$_POST['algo'],
	$_POST['type'],
	$_POST['fp']
]);

output(200, _('Modification done.'));
