<form method="post">
	<label for="zone"><?= _('Zone to be changed') ?></label>
	<br>
	<select required="" name="zone" id="zone">
		<option value="" disabled="" selected="">-</option>
<?php
foreach (nsListUserZones() as $zone)
	echo '		<option value="' . $zone . '">' . $zone . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="<?= _('Display') ?>">
</form>

<?php

if (isset($data['zone_content'])) { // Display zone

?>
<form method="post">
	<input type="hidden" name="zone" value="<?= $_POST['zone'] ?>">

	<label for="zone-content"><?= sprintf(_('New content of the %s zone'), '<code><strong>' . $_POST['zone'] . '</strong></code>') ?></label>
	<br>
	<textarea id="zone-content" name="zone-content" wrap="off" rows="<?= substr_count($data['zone_content'], LF) + 1 ?>"><?= htmlspecialchars($data['zone_content']) ?></textarea>
	<br>
	<input type="submit" value="<?= _('Replace') ?>">
</form>

<?php

}

displayFinalMessage($data);

?>

<h2><?= _('Default values') ?></h2>

<p><?= sprintf(_('If the TTL is omitted, it will default to %s seconds.'), '<code><time datetime="PT' . DEFAULT_TTL . 'S">' . DEFAULT_TTL . '</time></code>') ?></p>

<p><?= _('Precising the class (<code>IN</code>) is optional.') ?></p>

<h2><?= _('Allowed values') ?></h2>

<p><?= sprintf(_('Submitted zone content is limited to %s characters.'), ZONE_MAX_CHARACTERS) ?></p>

<p><?= sprintf(_('TTLs must last between %1$s and %2$s seconds.'), '<code><time datetime="PT' . MIN_TTL . 'S">' . MIN_TTL . '</time></code>', '<code><time datetime="PT' . MAX_TTL . 'S">' . MAX_TTL . '</time></code>') ?></p>

<p><?= _('The only types that can be defined are:') ?></p>

<ul>
<?php
	foreach (ALLOWED_TYPES as $allowed_type)
		echo '	<li><code>' . $allowed_type . '</code></li>';
?>
</ul>
