<form method="post">
<?php require ROOT_PATH . '/pg-view/ns/form.ns.php'; ?>
	<fieldset>
		<legend><?= _('Latitude') ?></legend>
		<div>
			<label for="lat-deg"><?= _('Degrees') ?></label>
			<br>
			<input name="lat-deg" id="lat-deg" min="0" max="90" type="number" required="">
		</div>
		<div>
			<label for="lat-min"><?= _('Minutes') ?></label>
			<br>
			<input name="lat-min" id="lat-min" min="0" max="59" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lat-sec"><?= _('Seconds') ?></label>
			<br>
			<input name="lat-sec" id="lat-sec" step="0.001" min="0" max="59.999" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lat-dir"><?= _('Direction') ?></label>
			<br>
			<select required="" name="lat-dir" id="lat-dir">
				<option value="" selected="" disabled="">-</option>
				<option value="N"><code>N</code> - <?= _('North') ?></option>
				<option value="S"><code>S</code> - <?= _('South') ?></option>
			</select>
		</div>
	</fieldset>

	<fieldset>
		<legend><?= _('Longitude') ?></legend>
		<div>
			<label for="lon-deg"><?= _('Degrees') ?></label>
			<br>
			<input name="lon-deg" id="lon-deg" min="0" max="180" type="number" required="">
		</div>
		<div>
			<label for="lon-min"><?= _('Minutes') ?></label>
			<br>
			<input name="lon-min" id="lon-min" min="0" max="59" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lon-sec"><?= _('Seconds') ?></label>
			<br>
			<input name="lon-sec" id="lon-sec" step="0.001" min="0" max="59.999" placeholder="0" type="number" required="">
		</div>
		<div>
			<label for="lon-dir"><?= _('Direction') ?></label>
			<br>
			<select required="" name="lon-dir" id="lon-dir">
				<option value="" selected="" disabled="">-</option>
				<option value="E"><code>E</code> - <?= _('East') ?></option>
				<option value="W"><code>W</code> - <?= _('West') ?></option>
			</select>
		</div>
	</fieldset>

	<label for="alt"><?= _('Altitude') ?></label>
	<br>
	<input name="alt" id="alt" step="0.01" min="-100000.00" max="42849672.95" type="number" required="">m
	<br>
	<label for="size"><?= _('Size') ?></label>
	<br>
	<input name="size" id="size" min="0" max="90000000" placeholder="1" type="number">m
	<br>
	<label for="hp"><?= _('Horizontal precision') ?></label>
	<br>
	<input name="hp" id="hp" min="0" max="90000000" placeholder="10000" type="number" required="">m
	<br>
	<label for="vp"><?= _('Vertical precision') ?></label>
	<br>
	<input name="vp" id="vp" min="0" max="90000000" placeholder="10" type="number" required="">m
	<br>
	<input type="submit" value="<?= _('Apply') ?>">
</form>
